[BITS 16]
[org 0]
[section .text]

start:
	mov ax,cs
	mov ds,ax
	mov es,ax

	mov ah,03
	mov bh,0
	int 10h

	call _main

	jmp 0x1000:0

global _main
global _printf

[segment .text]

%include "io.asm"

struc _Person
   ._age resw 1
   ._id resw 1
endstruc


%define _me -4

_main:
	push bp
	mov bp,sp
	sub sp,word 4
	mov [bp+_me+_Person._age],word 37
	mov [bp+_me+_Person._id],word 101
	push word [bp+_me+_Person._age]
	push C0
	call _printf
	add sp,word 4
	push word [bp+_me+_Person._id]
	push C1
	call _printf
	add sp,word 4
	mov ax,word 0
	leave
	ret
%undef _me



[section .data]

C0: db 'me.age == %d',10,0
C1: db 'me.id == %d',10,0

[section .bss]

answer: resb 20
